# DataExchange
TKSTEP209
StepFEA

# StepFEA_NodeRepresentation Class Reference

Representation of STEP entity NodeRepresentation
.

`#include <StepFEA_NodeRepresentation.hxx>`

Inheritance diagram for StepFEA_NodeRepresentation:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_NodeRepresentation ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentation_Name, const Handle(StepRepr_HArray1OfRepresentationItem)&aRepresentation_Items, const Handle(StepRepr_RepresentationContext)&aRepresentation_ContextOfItems, const Handle(StepFEA_FeaModel)&aModelRef)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_FeaModel | ModelRef () const
| Returns field ModelRef .
Standard_EXPORT void | SetModelRef (const Handle(StepFEA_FeaModel)&ModelRef)
| Set field ModelRef .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepFEA_FeaModel | theModelRef

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_NodeRepresentation::StepFEA_NodeRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_NodeRepresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_Representation. Reimplemented in StepFEA_DummyNode, StepFEA_GeometricNode, StepFEA_Node, StepFEA_NodeWithSolutionCoordinateSystem, and StepFEA_NodeWithVector.

Standard_EXPORT void StepFEA_NodeRepresentation::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentation_Name,
|  | const Handle(StepRepr_HArray1OfRepresentationItem)& | aRepresentation_Items,
|  | const Handle(StepRepr_RepresentationContext)& | aRepresentation_ContextOfItems,
|  | const Handle(StepFEA_FeaModel)& | aModelRef
| ) |

Standard_EXPORT Handle_StepFEA_FeaModel StepFEA_NodeRepresentation::ModelRef | ( |  | ) | const

Standard_EXPORT void StepFEA_NodeRepresentation::SetModelRef | ( | const Handle(StepFEA_FeaModel)& | ModelRef | ) |

## Field Documentation

Handle_StepFEA_FeaModel StepFEA_NodeRepresentation::theModelRef `[private]`

The documentation for this class was generated from the following file:

- StepFEA_NodeRepresentation.hxx